Loading...
Searching...
No Matches
BALL::BinaryProcessor< T1, T2 > Class Template Reference

`#include <BALL/CONCEPT/processor.h>`

Inheritance diagram for BALL::BinaryProcessor< T1, T2 >:

## Public Member Functions

Constructors and Destructors
| BinaryProcessor ()
| BinaryProcessor (const BinaryProcessor &)
virtual | ~BinaryProcessor ()
Processor-specific methods
virtual bool | start ()
virtual bool | finish ()
virtual Processor::Result | operator() (T1 &, T2 &)

## Additional Inherited Members

Public Types inherited from BALL::BinaryFunctor< T1, T2, Processor::Result >
typedef Processor::Result | result_type
typedef T1 | first_argument_type
typedef T1 & | first_argument_reference
typedef const T1 & | const_first_argument_reference
typedef T1 * | first_argument_pointer
typedef const T1 * | const_first_argument_pointer
typedef T2 | second_argument_type
typedef T2 & | second_argument_reference
typedef const T2 & | const_second_argument_reference
typedef T2 * | second_argument_pointer
typedef const T2 * | const_second_argument_pointer

## Detailed Description

template<typename T1, typename T2>
class BALL::BinaryProcessor< T1, T2 >

Generic Binary Processor Class

Definition at line 147 of file processor.h.

## Constructor & Destructor Documentation

## BinaryProcessor() [1/2]

template<typename T1, typename T2>

BALL::BinaryProcessor< T1, T2 >::BinaryProcessor | ( |  | ) |

inline

Default constructor

Definition at line 159 of file processor.h.

## BinaryProcessor() [2/2]

template<typename T1, typename T2>

BALL::BinaryProcessor< T1, T2 >::BinaryProcessor | ( | const BinaryProcessor< T1, T2 > & |  | ) |

inline

Copy constructor

Definition at line 165 of file processor.h.

## ~BinaryProcessor()

template<typename T1, typename T2>

virtual BALL::BinaryProcessor< T1, T2 >::~BinaryProcessor | ( |  | ) |

inline virtual

Destructor

Definition at line 172 of file processor.h.

## Member Function Documentation

## finish()

template<typename T1, typename T2>

virtual bool BALL::BinaryProcessor< T1, T2 >::finish | ( |  | ) |

inline virtual

finish method

Definition at line 190 of file processor.h.

## operator()()

template<typename T1, typename T2>

virtual Processor::Result BALL::BinaryProcessor< T1, T2 >::operator() | ( | T1 & | ,
|  | T2 & | )

inline virtual

operator ()

Definition at line 197 of file processor.h.

## start()

template<typename T1, typename T2>

virtual bool BALL::BinaryProcessor< T1, T2 >::start | ( |  | ) |

inline virtual

start method

Definition at line 183 of file processor.h.